/// <reference types="node" />
/// <reference types="node" />
import { AxiosRequestConfig } from 'axios';
import { Stream } from 'stream';
/**
 * HTTP工具类
 */
export default class HttpUtil {
    private static axiosInstance;
    static get<T = any>(url: string, config?: AxiosRequestConfig): Promise<T>;
    static getBuffer(url: string, config?: AxiosRequestConfig): Promise<Buffer>;
    static getStream(url: string, config?: AxiosRequestConfig): Promise<Stream>;
    static post<T = any>(url: string, data?: any, config?: AxiosRequestConfig): Promise<T>;
    static postJson<T = any>(url: string, data?: any, config?: AxiosRequestConfig): Promise<T>;
}
